org.eclipse.ecf.core.events

## Interface IContainerEjectedEvent

All Superinterfaces:
  Event, IContainerEvent

All Known Implementing Classes:
  ContainerEjectedEvent

    public interface IContainerEjectedEvent
    extends IContainerEvent

Container ejected event. This event is received when a local container has been ejected from a remote group

### Method Summary

All Methods Instance Methods Abstract Methods
`Serializable` `getReason()` Get reason for ejection
`ID` `getTargetID()` Get ID of container target (the container we were ejected from)

### Methods inherited from interface org.eclipse.ecf.core.events.IContainerEvent

`getLocalContainerID`

### Method Detail

#### getTargetID

    ID getTargetID()

Get ID of container target (the container we were ejected from)

Returns:
  ID the ID of the container we were ejected from. Will not be null.

#### getReason

    Serializable getReason()

Get reason for ejection

Returns:
  Serializable reason for ejection. May be null.